Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.TestStatus Class Reference

Status returned returned by ZipTestResultHandler during testing. More...

Collaboration diagram for ICSharpCode.SharpZipLib.Zip.TestStatus:
[legend]

## Public Member Functions
| TestStatus (ZipFile file)
| Initialise a new instance of TestStatus

## Package Functions
void | AddError ()
void | SetOperation (TestOperation operation)
void | SetEntry (ZipEntry entry)
void | SetBytesTested (long value)

## Properties
TestOperation | Operation`[get]`
| Get the current TestOperation in progress.
ZipFile | File`[get]`
| Get the ZipFile this status is applicable to.
ZipEntry | Entry`[get]`
| Get the current/last entry tested.
int | ErrorCount`[get]`
| Get the number of errors detected so far.
long | BytesTested`[get]`
| Get the number of bytes tested so far for the current entry.
bool | EntryValid`[get]`
| Get a value indicating wether the last entry test was valid.

## Private Attributes
ZipFile | file_
ZipEntry | entry_
bool | entryValid_
int | errorCount_
long | bytesTested_
TestOperation | operation_

## Detailed Description

Status returned returned by ZipTestResultHandler during testing.

See also
  ZipFile.TestArchive(bool)

TestArchive

## Constructor & Destructor Documentation

## ◆ TestStatus()

ICSharpCode.SharpZipLib.Zip.TestStatus.TestStatus | ( | ZipFile | file | ) |

Initialise a new instance of TestStatus

Parameters

  file | The ZipFile this status applies to.

## Member Function Documentation

## ◆ AddError()

void ICSharpCode.SharpZipLib.Zip.TestStatus.AddError | ( |  | ) |
| package

Here is the caller graph for this function:

## ◆ SetBytesTested()

void ICSharpCode.SharpZipLib.Zip.TestStatus.SetBytesTested | ( | long | value | ) |
| package

Here is the caller graph for this function:

## ◆ SetEntry()

void ICSharpCode.SharpZipLib.Zip.TestStatus.SetEntry | ( | ZipEntry | entry | ) |
| package

Here is the caller graph for this function:

## ◆ SetOperation()

void ICSharpCode.SharpZipLib.Zip.TestStatus.SetOperation | ( | TestOperation | operation | ) |
| package

Here is the caller graph for this function:

## Member Data Documentation

## ◆ bytesTested_

long ICSharpCode.SharpZipLib.Zip.TestStatus.bytesTested_
| private

## ◆ entry_

ZipEntry ICSharpCode.SharpZipLib.Zip.TestStatus.entry_
| private

## ◆ entryValid_

bool ICSharpCode.SharpZipLib.Zip.TestStatus.entryValid_
| private

## ◆ errorCount_

int ICSharpCode.SharpZipLib.Zip.TestStatus.errorCount_
| private

## ◆ file_

ZipFile ICSharpCode.SharpZipLib.Zip.TestStatus.file_
| private

## ◆ operation_

TestOperation ICSharpCode.SharpZipLib.Zip.TestStatus.operation_
| private

## Property Documentation

## ◆ BytesTested

long ICSharpCode.SharpZipLib.Zip.TestStatus.BytesTested
| get

Get the number of bytes tested so far for the current entry.

## ◆ Entry

ZipEntry ICSharpCode.SharpZipLib.Zip.TestStatus.Entry
| get

Get the current/last entry tested.

## ◆ EntryValid

bool ICSharpCode.SharpZipLib.Zip.TestStatus.EntryValid
| get

Get a value indicating wether the last entry test was valid.

## ◆ ErrorCount

int ICSharpCode.SharpZipLib.Zip.TestStatus.ErrorCount
| get

Get the number of errors detected so far.

## ◆ File

ZipFile ICSharpCode.SharpZipLib.Zip.TestStatus.File
| get

Get the ZipFile this status is applicable to.

## ◆ Operation

TestOperation ICSharpCode.SharpZipLib.Zip.TestStatus.Operation
| get

Get the current TestOperation in progress.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipFile.cs